<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:util="http://www.springframework.org/schema/util" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                        http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd
                        http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd">


	<util:properties id="appProperties" location="classpath:application.properties" />
	<context:property-placeholder
		properties-ref="appProperties" />

	<context:annotation-config />

	<import resource="classpath*:spring/ge-feedback-ws-context.xml" />
	<context:component-scan base-package="fr.ge.feedback.webclient">
		<context:exclude-filter expression="org.springframework.stereotype.Controller"
			type="annotation" />
	</context:component-scan>

	<bean id="messageSource"
		class="org.springframework.context.support.ResourceBundleMessageSource">
		<property name="defaultEncoding" value="UTF-8" />
		<property name="basename" value="i18n/messages" />
	</bean>

	<bean id="localeResolver"
		class="org.springframework.web.servlet.i18n.CookieLocaleResolver">
		<property name="defaultLocale" value="fr" />
		<property name="defaultTimeZone">
			<bean class="java.util.TimeZone" factory-method="getTimeZone">
				<constructor-arg value="CET" />
			</bean>
		</property>
		<property name="cookieName" value="i18n" />
	</bean>

    <import resource="classpath:spring/interceptors-theme-context.xml" />
	<import resource="classpath*:spring/theme-*-context.xml" />
	<import resource="appstatus-context.xml" />
	<import resource="dispatcher-context.xml" />
	<import resource="classpath:spring/log-filter-context.xml" />

</beans>